examples_dict = {"MTOPIntentClassification": [{"instruct": "Classify the intent of the given utterance in task-oriented conversation.", "query": "When will my next alarm start", "response": "GET_ALARM"}, {"instruct": "Classify the intent of the given utterance in task-oriented conversation.", "query": "I need you to message Zachary Fletcher", "response": "SEND_MESSAGE"}, {"instruct": "Classify the intent of the given utterance in task-oriented conversation.", "query": "show me video messages from Atlas", "response": "GET_MESSAGE"}, {"instruct": "Classify the intent of the given utterance in task-oriented conversation.", "query": "I want to listen to AC/DC please", "response": "PLAY_MUSIC"}, {"instruct": "Classify the intent of the given utterance in task-oriented conversation.", "query": "Make an alarm for the next 7 weeks for Thursday at 6pm", "response": "CREATE_ALARM"}, {"instruct": "Classify the intent of the given utterance in task-oriented conversation.", "query": "fairs happening in ann arbor next week", "response": "GET_EVENT"}, {"instruct": "Classify the intent of the given utterance in task-oriented conversation.", "query": "Will we get a frost this week?", "response": "GET_WEATHER"}], "StackOverflowDupQuestions": [{"instruct": "Retrieve duplicate questions from StackOverflow forum.", "query": "How to handle onChange event in React when state changes programmatically?", "response": "React onChange event not firing when state is updated programmatically"}, {"instruct": "Retrieve duplicate questions from StackOverflow forum.", "query": "How to simulate a click event on a button using JavaScript?", "response": "JavaScript button click event simulation"}, {"instruct": "Retrieve duplicate questions from StackOverflow forum.", "query": "Python: How to run a function asynchronously using asyncio?", "response": "Asyncio: Running Python function asynchronously"}], "TwitterSemEval2015": [{"instruct": "Retrieve tweets that are semantically similar to the given tweet.", "query": "Excited for the new Game of Thrones episode tonight!", "response": "Can't wait for tonight's Game of Thrones episode!"}, {"instruct": "Retrieve tweets that are semantically similar to the given tweet.", "query": "Just finished a 5k run and feel amazing!", "response": "Completed a 5k run and I'm feeling great!"}, {"instruct": "Retrieve tweets that are semantically similar to the given tweet.", "query": "Had an incredible dinner at Joe's Italian Restaurant.", "response": "Joe's Italian Restaurant served an amazing dinner tonight."}, {"instruct": "Retrieve tweets that are semantically similar to the given tweet.", "query": "I need a vacation. Can't wait to hit the beach.", "response": "Desperately need a holiday. Looking forward to beach time."}, {"instruct": "Retrieve tweets that are semantically similar to the given tweet.", "query": "The new iPhone has some fantastic features!", "response": "Loving the features on the new iPhone!"}], "MassiveIntentClassification": [{"instruct": "Given a user utterance as query, find the user intents.", "query": "remind me to pay rent every month", "response": "calendar_set"}, {"instruct": "Given a user utterance as query, find the user intents.", "query": "please play yesterday from beatles", "response": "play_music"}, {"instruct": "Given a user utterance as query, find the user intents.", "query": "what will the temperatures be for the next week", "response": "weather_query"}, {"instruct": "Given a user utterance as query, find the user intents.", "query": "give me the detailed schedule for next week", "response": "calendar_query"}, {"instruct": "Given a user utterance as query, find the user intents.", "query": "what's happening in my day", "response": "general_quirky"}, {"instruct": "Given a user utterance as query, find the user intents.", "query": "dolores how was your day", "response": "general_quirky"}, {"instruct": "Given a user utterance as query, find the user intents.", "query": "who was appointed as deputy centimeter of uttar pradesh", "response": "qa_factoid"}, {"instruct": "Given a user utterance as query, find the user intents.", "query": "find me news about trumps speech", "response": "news_query"}], "SCIDOCS": [{"instruct": "Given a scientific paper title, retrieve paper abstracts that are cited by the given paper.", "query": "Enhancing Urban Mobility Through Intelligent Transportation Systems", "response": "Intelligent Transportation Systems (ITS) represent a revolutionary approach to urban mobility by leveraging advanced technologies to improve transportation efficiency and safety. This paper explores the integration of real-time traffic monitoring, adaptive signal control, and vehicle-to-infrastructure communication to optimize traffic flow and reduce congestion. The study highlights how data from various sensors, combined with predictive analytics, can lead to smarter decision-making and better management of transportation networks. It also discusses the challenges associated with implementing ITS, including system interoperability and data privacy concerns. The findings suggest that while ITS holds significant promise for enhancing urban mobility, ongoing research and technological advancements are crucial to addressing existing limitations and fully realizing its potential."}, {"instruct": "Given a scientific paper title, retrieve paper abstracts that are cited by the given paper.", "query": "Efficient Algorithms for Mining Association Rules in Large Databases", "response": "Association rule mining is a fundamental problem in data mining, which involves finding interesting relationships or patterns among a set of items in large datasets. Traditional algorithms, such as Apriori, suffer from inefficiencies in handling very large databases due to the high computational cost of candidate generation and frequent itemset counting. This paper introduces a novel algorithm called FP-Growth (Frequent Pattern Growth) that addresses these inefficiencies by using a compact data structure known as the FP-tree. FP-Growth constructs the FP-tree by compressing the database and recursively dividing it into smaller, manageable parts. This approach eliminates the need for candidate generation and significantly reduces the computational overhead. The algorithm is shown to be highly efficient in mining association rules, with substantial improvements in performance and scalability over previous methods. Theoretical analysis and experimental results demonstrate the effectiveness of FP-Growth in handling large-scale datasets and extracting valuable association rules."}], "ClimateFEVER": [{"instruct": "Given a claim about climate change, retrieve documents that support or refute the claim.", "query": "Global warming is causing more frequent and intense hurricanes.", "response": "Hurricanes and Climate Change  Hurricanes, also known as tropical cyclones or typhoons depending on their location, are powerful and destructive weather systems characterized by strong winds, heavy rainfall, and storm surges. The formation and intensity of hurricanes are influenced by a variety of factors, including sea surface temperatures, atmospheric moisture, and wind patterns. Scientific research indicates that global warming is having a significant impact on these factors, leading to changes in hurricane behavior. As sea surface temperatures rise due to increased greenhouse gas emissions, the energy available for hurricane formation and intensification also increases. This has been linked to an increase in the frequency of the most intense hurricanes, categorized as Category 4 and 5 storms. Additionally, warmer air can hold more moisture, leading to heavier rainfall and greater flooding potential during hurricanes. The Intergovernmental Panel on Climate Change (IPCC) reports that while the total number of hurricanes may not be increasing, there is a clear trend towards more intense and damaging storms in a warming world."}, {"instruct": "Given a claim about climate change, retrieve documents that support or refute the claim.", "query": "The Arctic sea ice extent has decreased by nearly 40% since the late 1970s due to global warming.", "response": "The Arctic sea ice extent refers to the surface area of the Arctic Ocean covered by sea ice . Observations indicate a significant reduction in Arctic sea ice extent over recent decades . Satellite measurements have shown that the minimum sea ice extent , typically occurring in September , has declined by about 40% since the late 1970s . This decrease is largely attributed to rising global temperatures , which have led to warmer ocean waters and higher air temperatures in the Arctic region . Climate models predict that the Arctic could be nearly ice-free during summer within this century if the current rate of warming continues . This decline in sea ice has profound implications for Arctic ecosystems , global weather patterns , and sea levels ."}], "AmazonReviewsClassification": [{"instruct": "Classify the given Amazon review into its appropriate rating category.", "query": "DO NOT ORDER THIS\\n\\nThis isn't what's described at all. Taking it out of the package lace was cut upon arrival, wig was cut to like 14 inch, not curly, and smelled like cigarettes. I obviously was sent what someone returned, disgusting.Not what I ordered at all, not pleased at all. I want my money back DO NOT ORDER", "response": "1 star"}, {"instruct": "Classify the given Amazon review into its appropriate rating category.", "query": "And I can\u2019t return it\\n\\nThis product seemed like good quality but it does not stay stuck to the soles at all. You walk a few steps and then you find the black shoe grip somewhere on the floor.", "response": "2 star"}, {"instruct": "Classify the given Amazon review into its appropriate rating category.", "query": "Three Stars\\n\\nnew yearly subscription plan is horrible, but the product still works as it did in the past", "response": "3 star"}, {"instruct": "Classify the given Amazon review into its appropriate rating category.", "query": "I like how it has lots of pockets to put stuff ...\\n\\nI like how it has lots of pockets to put stuff in. I would have liked to have a shorter securing strap so it would not slide around so much. Good product.", "response": "4 star"}, {"instruct": "Classify the given Amazon review into its appropriate rating category.", "query": "Great\\n\\nIt is really good. That's my favorite. THANK YOU", "response": "5 star"}], "TweetSentimentExtractionClassification": [{"instruct": "Classify the sentiment of a given tweet as either positive, negative, or neutral.", "query": "I`d have responded, if I were going", "response": "neutral"}, {"instruct": "Classify the sentiment of a given tweet as either positive, negative, or neutral.", "query": "what interview! leave me alone", "response": "negative"}, {"instruct": "Classify the sentiment of a given tweet as either positive, negative, or neutral.", "query": "2am feedings for the baby are fun when he is all smiles and coos", "response": "positive"}, {"instruct": "Classify the sentiment of a given tweet as either positive, negative, or neutral.", "query": "is cleaning the house for her family who is comming later today..", "response": "neutral"}, {"instruct": "Classify the sentiment of a given tweet as either positive, negative, or neutral.", "query": "Sick. With a flu like thing.", "response": "negative"}, {"instruct": "Classify the sentiment of a given tweet as either positive, negative, or neutral.", "query": "We saw that in none 3D - the baddie`s the best", "response": "positive"}], "SprintDuplicateQuestions": [{"instruct": "Retrieve duplicate questions from Sprint forum.", "query": "Kyocera duraforce pro international roaming settings", "response": "Make a call while roaming internationally - Kyocera DuraForce PRO"}, {"instruct": "Retrieve duplicate questions from Sprint forum.", "query": "Guide for connecting to the Sprint U301 USB mobile broadband", "response": "Turn automatic connections on or off - Sprint U301 USB Device Sprint 3G/4G Mobile Broadband"}, {"instruct": "Retrieve duplicate questions from Sprint forum.", "query": "What do you think is a reason that is preventing troubleshooting on my HTC One A9 related to issues to the mobile hotspots ?", "response": "Troubleshoot issues related to mobile hotspots and your HTC One A9"}, {"instruct": "Retrieve duplicate questions from Sprint forum.", "query": "Why has my Samsung Transform been freezing everytime I attempt to open up an app ?", "response": "Why is my Samsung Transform freezing or being unresponsive ?"}, {"instruct": "Retrieve duplicate questions from Sprint forum.", "query": "What can I do to turn on Wi-Fi on the HTC One A9 ?", "response": "Turn on and connect to Wi-Fi - HTC One A9"}], "TRECCOVID": [{"instruct": "Given a query on COVID-19, retrieve documents that answer the query.", "query": "How effective are antiviral drugs like favipiravir and molnupiravir against COVID-19?", "response": "The ongoing COVID-19 pandemic has led to extensive research into antiviral drugs to combat the virus. Favipiravir and molnupiravir have emerged as potential treatments. Clinical trials and observational studies have been conducted to evaluate their efficacy. Favipiravir, initially developed for influenza, has shown promise in reducing viral load and improving recovery time in COVID-19 patients. Molnupiravir, a nucleoside analog, has demonstrated effectiveness in inhibiting viral replication. Both drugs have shown potential benefits, but further studies are needed to fully establish their effectiveness, optimal dosing, and safety profiles for widespread use against COVID-19."}, {"instruct": "Given a query on COVID-19, retrieve documents that answer the query.", "query": "How does COVID-19 affect patients with compromised immune systems?", "response": "Antiviral drugs like favipiravir and molnupiravir have been investigated for their effectiveness against COVID-19. Favipiravir, originally developed for influenza treatment, has shown promise in some studies for reducing viral load and improving clinical outcomes in COVID-19 patients, particularly in mild to moderate cases. Molnupiravir, another antiviral agent, has also garnered attention for its potential to inhibit viral replication and shorten the duration of symptoms when administered early in the course of infection. Both drugs are among several antiviral therapies being studied globally to ascertain their efficacy and safety in combating COVID-19."}], "TwitterURLCorpus": [{"instruct": "Retrieve tweets that are semantically similar to the given tweet.", "query": "Elon Musk says Tesla will be profitable next quarter.", "response": "Elon Musk claims Tesla will turn a profit next quarter."}, {"instruct": "Retrieve tweets that are semantically similar to the given tweet.", "query": "The new iPhone just got announced and it's amazing.", "response": "Apple just unveiled the new iPhone and it's incredible."}, {"instruct": "Retrieve tweets that are semantically similar to the given tweet.", "query": "Beyonc\u00e9's new album has topped the charts in its first week.", "response": "Beyonc\u00e9's latest album debuted at number one on the charts."}, {"instruct": "Retrieve tweets that are semantically similar to the given tweet.", "query": "Breaking: Major earthquake hits California.", "response": "Just in: Large earthquake strikes California."}, {"instruct": "Retrieve tweets that are semantically similar to the given tweet.", "query": "NASA plans to send humans to Mars by 2030.", "response": "NASA aims to have astronauts on Mars by the year 2030."}], "AmazonCounterfactualClassification": [{"instruct": "Classify a given Amazon customer review text as either counterfactual or not-counterfactual.", "query": "I wish I could have used this head set but the day I received it it wouldn't even turn on and I really wanted this product to work I'm very disappointed.", "response": "counterfactual"}, {"instruct": "Classify a given Amazon customer review text as either counterfactual or not-counterfactual.", "query": "I would advise that instead of trying to follow these poor instructions, Google it.", "response": "not-counterfactual"}, {"instruct": "Classify a given Amazon customer review text as either counterfactual or not-counterfactual.", "query": "I wrote to Monster customer service before ordering and they told me it would be fine to use without a converter and it was absolutely true.", "response": "not-counterfactual"}], "ImdbClassification": [{"instruct": "Classify the sentiment expressed in the given movie review text from the IMDB dataset.", "query": "Renny Harlin's first American film was one of the best of a slew of prison-set horror films(like 'Death House' or 'The Chair')in the late 80's.Twenty years before,guard Lane Smith had wrongfully executed a condemned man.Now,he is the warden of the newly re-opened prison,and the man's ghost is back for bloody revenge.This atmospheric and very moody film features lots of gruesome gore and violence.Viggo Mortensen,Tiny Lister,Tom Everett and Kane Hodder are onhand for the entertaining carnage.", "response": "positive"}], "STS13": [{"instruct": "Retrieve semantically similar text.", "query": "the state of being exposed to danger or harm", "response": "the condition of being at risk of injury or loss."}, {"instruct": "Retrieve semantically similar text.", "query": "a set of instructions for a computer", "response": "directions given to a computer to perform a specific task."}, {"instruct": "Retrieve semantically similar text.", "query": "a building used for public worship", "response": "a place where people gather to worship collectively."}], "STS15": [{"instruct": "Retrieve semantically similar text.", "query": "The battery and bulb A are not in the same path", "response": "Bulb A and the battery are not in the same circuit."}, {"instruct": "Retrieve semantically similar text.", "query": "Switch Y and bulb B are in the same loop", "response": "Switch Y and bulb B belong to the same circuit."}, {"instruct": "Retrieve semantically similar text.", "query": "new york city marathon canceled due to hurricane sandy", "response": "nyc marathon canceled because of hurricane sandy"}, {"instruct": "Retrieve semantically similar text.", "query": "pope francis calls for peace in syria during sunday address", "response": "pope francis appeals for peace in syria in his sunday speech"}], "HotpotQA": [{"instruct": "Given a multi-hop question, retrieve documents that can help answer the question.", "query": "Which tennis player Anna-Lena Gr\u00f6nefeld or Mats Wilander turned professional first ?", "response": "Anna-Lena Gr\u00f6nefeld  Anna-Lena Gr\u00f6nefeld (born 4 June 1985) is a German tennis player. She turned professional in April 2003."}, {"instruct": "Given a multi-hop question, retrieve documents that can help answer the question.", "query": "What South Korean K-pop group has 13 members and their own online TV program?", "response": "Seventeen (band)  Seventeen (Hangul: \uc138\ube10\ud2f4 ), also stylized as SEVENTEEN or SVT, is a South Korean boy group formed by Pledis Entertainment in 2015. The group consists of thirteen members who are separated into three sub-units, each with different areas of specialization: a 'Hip-Hop Unit', 'Vocal Unit', and 'Performance Unit'. They have released one studio album and four extended plays."}, {"instruct": "Given a multi-hop question, retrieve documents that can help answer the question.", "query": "The game show Keep It in the Family was hosted by an actor that played what role in Coronation Street\"?\"", "response": "Keep It in the Family (UK game show)  Keep It in the Family is a British game show that aired on ITV from 26 October 2014 to 19 December 2015 and is hosted by Bradley Walsh."}], "ToxicConversationsClassification": [{"instruct": "Classify the given comments as either toxic or not toxic.", "query": "Pull your little head out of your big ass areola!", "response": "toxic"}, {"instruct": "Classify the given comments as either toxic or not toxic.", "query": "Trudeau will survive this alright as, unfortunately, Canadians are amongst the most dumbed down on the earth thanks to no real media other than his lapdogs.", "response": "toxic"}, {"instruct": "Classify the given comments as either toxic or not toxic.", "query": "No evidence of one ever starting a fire.  Better ban them.", "response": "not toxic"}, {"instruct": "Classify the given comments as either toxic or not toxic.", "query": "What's this about Andrew Jackson and the civil war?  And now he is saying he would be honored\" to meet with NK dictator Kim Jung Un.  Is the pressure of being president getting to him?  I am worried.\"", "response": "not toxic"}], "BiorxivClusteringS2S": [{"instruct": "Identify the main category of Biorxiv papers based on the titles.", "query": "Neural Circuit Dynamics in Decision-Making: A Computational Model of Prefrontal-Striatal Interactions", "response": "neuroscience"}, {"instruct": "Identify the main category of Biorxiv papers based on the titles.", "query": "Metagenomic Insights into Extreme Environments: Microbial Diversity and Functional Adaptations in Antarctic Lakes", "response": "microbiology"}, {"instruct": "Identify the main category of Biorxiv papers based on the titles.", "query": "Machine Learning Approaches for Predicting Protein Structure and Function from Sequence Data", "response": "bioinformatics"}, {"instruct": "Identify the main category of Biorxiv papers based on the titles.", "query": "Regulation of Stem Cell Fate Decisions by the Hippo Signaling Pathway: Implications for Tissue Regeneration and Cancer Therapy", "response": "cell biology"}, {"instruct": "Identify the main category of Biorxiv papers based on the titles.", "query": "Optical Tweezers and Single-Molecule Force Spectroscopy: Probing Protein Folding Dynamics and Mechanical Properties of Biomolecules", "response": "biophysics"}], "MTOPDomainClassification": [{"instruct": "Classify the intent domain of the given utterance in task-oriented conversation.", "query": "I am no longer available", "response": "calling"}, {"instruct": "Classify the intent domain of the given utterance in task-oriented conversation.", "query": "Cancel my reminder about my dentist appointment", "response": "reminder"}, {"instruct": "Classify the intent domain of the given utterance in task-oriented conversation.", "query": "Will it rain tomorrow?", "response": "weather"}, {"instruct": "Classify the intent domain of the given utterance in task-oriented conversation.", "query": "Create an appointment alarm for 11:30am.", "response": "allarm"}, {"instruct": "Classify the intent domain of the given utterance in task-oriented conversation.", "query": "Play a different playlist", "response": "music"}, {"instruct": "Classify the intent domain of the given utterance in task-oriented conversation.", "query": "What's the best way to fry chicken", "response": "recipes"}, {"instruct": "Classify the intent domain of the given utterance in task-oriented conversation.", "query": "what city does Ahmed live in ?", "response": "people"}], "StackExchangeClusteringP2P": [{"instruct": "Identify the topic or theme of StackExchange posts based on the given paragraphs.", "query": "I'm currently facing an issue with my Unity project involving UI scaling across different resolutions. I've set up my canvas to scale with screen size, and most elements adjust fine except for some UI text elements. They appear either too large or too small on certain resolutions, which is affecting the overall look of my game. I've tried adjusting the Canvas Scaler settings, such as using Scale with Screen Size and setting appropriate reference resolutions and match modes. However, the text still doesn't scale as expected. Is there a recommended approach or a script I can use to ensure consistent UI text scaling across various resolutions without manually tweaking each element? Thanks for any help or suggestions you can provide!", "response": "unity"}, {"instruct": "Identify the topic or theme of StackExchange posts based on the given paragraphs.", "query": "In OpenGL, implementing shadow mapping is a challenging yet highly rewarding task. I'm currently working on achieving this through shadow mapping, but I've encountered some issues. Specifically, my shadow mapping appears somewhat blurry, and there are noticeable flickering artifacts when moving the light source or the camera. I've reviewed my implementation, including the transformation from light space to clip space and the generation of the depth texture, but the issue persists.\\nHere are some key snippets of my code:// Setting up the light space to clip space transformation during depth map rendering\\nglm::mat4 lightProjection = glm::ortho(-10.0f, 10.0f, -10.0f, 10.0f, 1.0f, 20.0f);\\nglm::mat4 lightView = glm::lookAt(lightPos, glm::vec3(0.0f), glm::vec3(0.0, 1.0, 0.0));\\nglm::mat4 lightSpaceMatrix = lightProjection * lightView;\\n// Calculating shadows in the fragment shader\\nfloat shadow = ShadowCalculation(lightSpaceMatrix * fragPosLightSpace);\\n// Applying shadows\\nvec3 lighting = CalculateLighting(...);\\nfragColor = vec4(lighting * (1.0 - shadow), 1.0);\\nDespite attempting adjustments such as modifying the range of the projection matrix and increasing the resolution of the depth texture, the problem persists. I suspect it might be related to depth bias, but I'm not certain yet.Any advice or possible solutions would be greatly appreciated!", "response": "opengl"}, {"instruct": "Identify the topic or theme of StackExchange posts based on the given paragraphs.", "query": "I'm working on a project that involves processing very large datasets in C++. These datasets can range from gigabytes to terabytes in size, and I'm looking for efficient ways to manage and manipulate them in memory. What are some recommended practices or libraries that I can use to optimize memory usage and processing speed? Should I consider using memory-mapped files or other techniques to handle such large volumes of data?", "response": "c++"}, {"instruct": "Identify the topic or theme of StackExchange posts based on the given paragraphs.", "query": "How to implement smooth character movement in a platformer game? I'm working on a platformer game in XNA and struggling to achieve smooth character movement. Currently, my character moves in a somewhat jerky manner, especially when changing directions or jumping. I've implemented basic movement using keyboard input and updating the character's position accordingly. Here's a snippet of what I have:\\nKeyboardState newState = Keyboard.GetState();\\nVector2 movement = Vector2.Zero;\\nif (newState.IsKeyDown(Keys.Right))\\n{\\nmovement.X = MoveSpeed;\\n}\\nelse if (newState.IsKeyDown(Keys.Left))\\n{\\nmovement.X = -MoveSpeed;\\n}\\nif (IsOnGround() &&\\nnewState.IsKeyDown(Keys.Space))\\n{\\nJump();\\n}\\n// Apply movement to character position\\nPosition += movement;\\nDespite this implementation, the character's movement feels rigid. I've tried adjusting the MoveSpeed and ensuring that the position updates smoothly, but there's still a noticeable jerkiness.\\nI've considered using interpolation or velocity-based movement, but I'm unsure how to implement these effectively in XNA. Could someone provide guidance or a better approach to achieve smooth character movement in my platformer game?\\nAny help or example code would be greatly appreciated!", "response": "xna"}, {"instruct": "Identify the topic or theme of StackExchange posts based on the given paragraphs.", "query": "I'm currently working on a Java project that involves processing large datasets, and I'm encountering some performance issues. Here are my specific questions: Optimizing Memory Usage: What are the best practices for efficiently managing memory when dealing with large arrays or collections in Java? I'm concerned about potential OutOfMemoryErrors. Parallel Processing: How can I leverage Java's concurrency features, such as multithreading and parallel streams, to speed up data processing tasks? Are there any common pitfalls to avoid? I've read various resources on these topics, but I'd appreciate practical advice and examples from developers who have tackled similar challenges. Thanks in advance for your insights!", "response": "java"}], "QuoraRetrieval": [{"instruct": "Given a question, retrieve questions that are semantically equivalent to the given question.", "query": "Why do people say Dhanush (South Indian actor) is ugly? I don't think so.?", "response": "Why do people say Dhanush (South Indian actor) is ugly? I don't think so?"}, {"instruct": "Given a question, retrieve questions that are semantically equivalent to the given question.", "query": "What are some hit and nice ideas about architecture dissertation topics?", "response": "What are some interesting undergraduate architecture thesis topics?"}, {"instruct": "Given a question, retrieve questions that are semantically equivalent to the given question.", "query": "Could someone please motivate me?", "response": "Can you motivate me?"}], "DBPedia": [{"instruct": "Given a query, retrieve relevant entity descriptions from DBPedia.", "query": "Chefs with a show on the Food Network.", "response": "Robert Irvine  Robert Irvine (born 24 September 1965) is a British celebrity chef who has appeared on a variety of Food Network programs including Dinner: Impossible, Worst Cooks in America, Restaurant: Impossible, and Restaurant Express.'"}, {"instruct": "Given a query, retrieve relevant entity descriptions from DBPedia.", "query": "houses of the Russian parliament", "response": "State Duma  The State Duma (Russian: \u0413\u043e\u0441\u0443\u0434\u0430\u0301\u0440\u0441\u0442\u0432\u0435\u043d\u043d\u0430\u044f \u0434\u0443\u0301\u043c\u0430 (Gosudarstvennaya Duma), common abbreviation: \u0413\u043e\u0441\u0434\u0443\u0301\u043c\u0430 (Gosduma)) in the Russian Federation is the lower house of the Federal Assembly of Russia (legislature), the upper house being the Federation Council of Russia. The Duma headquarters are located in central Moscow, a few steps from Manege Square. Its members are referred to as deputies."}, {"instruct": "Given a query, retrieve relevant entity descriptions from DBPedia.", "query": "tango music instruments", "response": "Tango music  Tango is a style of music in 2/4 or 4/4 time that originated among European immigrant populations of Argentina and Uruguay (collectively, the 'Rioplatenses'). It is traditionally played on a solo guitar, guitar duo, or an ensemble, known as the orquesta t\u00edpica, which includes at least two violins, flute, piano, double bass, and at least two bandone\u00f3ns. Sometimes guitars and a clarinet join the ensemble. Tango may be purely instrumental or may include a vocalist."}], "EmotionClassification": [{"instruct": "Classify the emotion expressed in the given Twitter message into one of the six emotions: anger, fear, joy, love, sadness, and surprise.", "query": "i am bothered is that he might changed his feelings once he get back in us and leave me heartbroken", "response": "sadness"}, {"instruct": "Classify the emotion expressed in the given Twitter message into one of the six emotions: anger, fear, joy, love, sadness, and surprise.", "query": "i have always loved my jobs and loved to work and i truly feel like being back there with my patients and co workers will do me a lot of good even if it is only for a few weeks", "response": "joy"}, {"instruct": "Classify the emotion expressed in the given Twitter message into one of the six emotions: anger, fear, joy, love, sadness, and surprise.", "query": "i certainly feel loved and appreciated and grateful for all that i have", "response": "love"}, {"instruct": "Classify the emotion expressed in the given Twitter message into one of the six emotions: anger, fear, joy, love, sadness, and surprise.", "query": "im grabbing a minute to post i feel greedy wrong", "response": "anger"}, {"instruct": "Classify the emotion expressed in the given Twitter message into one of the six emotions: anger, fear, joy, love, sadness, and surprise.", "query": "i was stymied a little bit as i wrote feeling unsure that i might go somewhere with the story unintended", "response": "fear"}, {"instruct": "Classify the emotion expressed in the given Twitter message into one of the six emotions: anger, fear, joy, love, sadness, and surprise.", "query": "i keep feeling pleasantly surprised at his supportiveness and also his ease in new situations", "response": "surprise"}], "FiQA2018": [{"instruct": "Given a financial question, retrieve user replies that best answer the question.", "query": "What is a negotiable security and how are they related to derivatives?", "response": "A negotiable security is a financial instrument that can be easily transferred or traded, such as stocks and bonds. Derivatives, like options and futures, derive their value from these securities. They're interrelated because derivatives often involve contracts based on the value of underlying negotiable securities. This relationship allows investors to hedge risk or speculate on price movements without owning the actual assets."}, {"instruct": "Given a financial question, retrieve user replies that best answer the question.", "query": "Why is it important to research a stock before buying it?", "response": "Researching a stock before buying is crucial to assess its financial health, growth prospects, and potential risks. Understanding the company's fundamentals, earnings history, management team, and industry trends helps investors make informed decisions. It also aids in evaluating whether the stock is fairly valued or overvalued, reducing the risk of making uninformed investment choices and potentially suffering losses."}, {"instruct": "Given a financial question, retrieve user replies that best answer the question.", "query": "When are investments taxed?", "response": "Investments are taxed based on various factors, including the type of investment, holding period, and applicable tax laws. Generally, investments incur taxes when they generate income, such as interest, dividends, or capital gains. Interest and dividends are typically taxed in the year they're received, while capital gains tax applies when assets like stocks or real estate are sold at a profit. Tax rates may vary based on investment duration and jurisdiction."}], "ArxivClusteringP2P": [{"instruct": "Identify the main and secondary category of Arxiv papers based on the titles and abstracts.", "query": "A Novel Approach to Enhancing Cybersecurity in Smart Grids through Deep Reinforcement Learning   The integration of renewable energy sources and advanced metering infrastructure in smart grids introduces complex cybersecurity challenges. In this paper, we propose a novel approach utilizing deep reinforcement learning (DRL) to enhance the resilience of smart grids against cyber attacks. Our method leverages DRL agents to dynamically optimize intrusion detection and response strategies based on real-time grid conditions and attack patterns. We demonstrate through simulations on a realistic smart grid testbed that our approach effectively reduces the impact of cyber threats while maintaining grid operational efficiency and reliability. The results highlight significant improvements in security posture compared to traditional rule-based and anomaly detection approaches.", "response": "cs"}, {"instruct": "Identify the main and secondary category of Arxiv papers based on the titles and abstracts.", "query": "Dynamics of Frobenius Endomorphisms in Characteristic p   This paper investigates the dynamics of Frobenius endomorphisms in characteristic \ud835\udc5d, focusing on their algebraic and arithmetic properties. We explore the behavior of Frobenius endomorphisms on varieties over finite fields and delve into their applications in number theory and algebraic geometry. Specifically, we analyze the distribution of fixed points, the growth rates of orbits under iteration, and connections to zeta functions and L-functions. Theoretical results are complemented by computational experiments that illustrate the interplay between Frobenius endomorphisms and geometric structures. Our findings contribute to a deeper understanding of the arithmetic nature of varieties and their representations in characteristic \ud835\udc5d, offering insights into fundamental questions in modern algebraic and arithmetic geometry.", "response": "math"}, {"instruct": "Identify the main and secondary category of Arxiv papers based on the titles and abstracts.", "query": "Probing Exoplanetary Atmospheres Using Transmission Spectroscopy with the James Webb Space Telescope   Transmission spectroscopy has revolutionized our understanding of exoplanetary atmospheres, revealing key insights into their chemical compositions and physical properties. With the upcoming launch of the James Webb Space Telescope (JWST), we explore the potential of this technique to characterize exoplanetary atmospheres across a wide range of wavelengths and planetary types. We present a comprehensive analysis framework that incorporates high-resolution spectroscopic data and advanced atmospheric models to interpret transmission spectra obtained by JWST. Our simulations predict detectability thresholds for key molecular species and atmospheric features, offering critical guidance for future observational campaigns aimed at unraveling the diversity and origins of exoplanetary atmospheres.", "response": "astro-ph"}, {"instruct": "Identify the main and secondary category of Arxiv papers based on the titles and abstracts.", "query": "Quantum Coherence and Information Transfer in Photosynthetic Complexes: Insights from Coherent Spectroscopy   Photosynthetic complexes are renowned for their efficient energy transfer mechanisms, driven by quantum coherence phenomena over femtosecond timescales. This paper explores the role of coherent spectroscopy techniques in elucidating the quantum dynamics underlying energy transfer processes in natural photosynthetic systems. We review recent experimental findings and theoretical models that highlight the significance of quantum coherence in optimizing energy capture and transport efficiency in photosynthetic complexes. Our analysis integrates insights from ultrafast spectroscopy experiments with advanced quantum mechanical simulations, providing a comprehensive framework for understanding the interplay between coherence, environmental influences, and biological functionality in photosynthesis.", "response": "quant-ph"}, {"instruct": "Identify the main and secondary category of Arxiv papers based on the titles and abstracts.", "query": "Quantum Hall Effect in Moir\u00e9 Superlattices of Twisted Bilayer Graphene   The discovery of the quantum Hall effect in moir\u00e9 superlattices formed by twisted bilayer graphene has opened new avenues in the study of correlated electron systems. This paper investigates the emergence of fractional quantum Hall states and their robustness against disorder and varying twist angles in twisted bilayer graphene. We analyze experimental observations of Landau level spectra and magnetotransport measurements, revealing distinctive features such as enhanced localization and unconventional symmetry breaking effects. Our theoretical framework integrates effective model descriptions and numerical simulations to elucidate the underlying mechanisms driving the quantum Hall phenomena in moir\u00e9 superlattices, paving the way for future applications in quantum devices and topological materials.", "response": "cond-mat"}], "TwentyNewsgroupsClustering": [{"instruct": "Identify the topic or theme of the given news articles.", "query": "Major flaw discovered in widely-used encryption protocol", "response": "sci.crypt"}, {"instruct": "Identify the topic or theme of the given news articles.", "query": "Bruins' Unstoppable Winning Streak", "response": "rec.sport.hockey"}, {"instruct": "Identify the topic or theme of the given news articles.", "query": "Troubleshooting a Digital Multimeter Calibration Issue", "response": "sci.electronics"}, {"instruct": "Identify the topic or theme of the given news articles.", "query": "Understanding DPI Scaling in X Window Systems", "response": "comp.windows.x"}], "FEVER": [{"instruct": "Given a claim, retrieve documents that support or refute the claim.", "query": "Ricky Martin acts.", "response": "Ricky Martin Enrique Mart\u00edn Morales ( born December 24 , 1971 ) , commonly known as Ricky Martin , is a Puerto Rican singer , actor and author . Martin began his career at age twelve with the all-boy pop group Menudo . After five years with the group , he released several Spanish-language solo albums throughout the 1990s . He also acted on stage and on TV in Mexico , becoming a modest star in the country . In 1994 he starred on the US TV soap opera General Hospital , playing a Puerto Rican singer .   In early 1999 , after releasing several albums in Spanish , Martin performed `` The Cup of Life '' at the 41st Grammy Awards show , which became a catalyst in bringing Latin pop to the forefront of the U.S. music scene . Following its success , Martin released `` Livin ' la Vida Loca '' which helped him obtain enormous success worldwide and is generally seen as the song that began the Latin pop explosion of 1999 and made the transition easier for other Spanish-speaking artists to move into the English-speaking market . Since its release , the song has sold over 8 million copies , making it one of the best selling singles of all time . His first English-language album ( also titled Ricky Martin ) , has sold 22 million copies and is one of the best selling albums of all time . His other studio albums include : Me Amar\u00e1s ( 1993 ) , A Medio Vivir ( 1995 ) , Vuelve ( 1998 ) , Sound Loaded ( 2000 ) , Almas del Silencio ( 2003 ) , Life ( 2005 ) , M\u00fasica + Alma + Sexo ( 2011 ) , and A Quien Quiera Escuchar ( 2015 ) ."}, {"instruct": "Given a claim, retrieve documents that support or refute the claim.", "query": "The 19th G7 summit only included Russia.", "response": "19th G7 summit The 19th G7 Summit was held in Tokyo , Japan , on July 7 -- 9 , 1993 . The venue for the summit meetings was the State Guesthouse in Tokyo , Japan .   The Group of Seven ( G7 ) was an unofficial forum which brought together the heads of the richest industrialized countries : France , Germany , Italy , Japan , the United Kingdom , the United States , Canada ( since 1976 ) and the President of the European Commission ( starting officially in 1981 ) . The summits were not meant to be linked formally with wider international institutions ; and in fact , a mild rebellion against the stiff formality of other international meetings was a part of the genesis of cooperation between France 's President Giscard d'Estaing and West Germany 's Chancellor Helmut Schmidt as they conceived the first Group of Six ( G6 ) summit in 1975 ."}, {"instruct": "Given a claim, retrieve documents that support or refute the claim.", "query": "Ayn Rand condemned force.", "response": "Ayn Rand Ayn Rand ( -LSB- \u02c8a\u026an_\u02c8r\u00e6nd -RSB- born Alisa Zinov ` yevna Rosenbaum , \u0410\u043b\u0438\u0301\u0441\u0430 \u0417\u0438\u043d\u043e\u0301\u0432\u044c\u0435\u0432\u043d\u0430 \u0420\u043e\u0437\u0435\u043d\u0431\u0430\u0301\u0443\u043c -- March 6 , 1982 ) was a Russian-American novelist , philosopher , playwright , and screenwriter . She is known for her two best-selling novels , The Fountainhead and Atlas Shrugged , and for developing a philosophical system she called Objectivism . Educated in Russia , she moved to the United States in 1926 . She had a play produced on Broadway in 1935 -- 1936 . After two early novels that were initially unsuccessful in America , she achieved fame with her 1943 novel , The Fountainhead .   In 1957 , Rand published her best-known work , the novel Atlas Shrugged . Afterward , she turned to non-fiction to promote her philosophy , publishing her own magazines and releasing several collections of essays until her death in 1982 . Rand advocated reason as the only means of acquiring knowledge , and rejected faith and religion . She supported rational and ethical egoism , and rejected altruism . In politics , she condemned the initiation of force as immoral , and opposed collectivism and statism as well as anarchism , and instead supported laissez-faire capitalism , which she defined as the system based on recognizing individual rights . In art , Rand promoted romantic realism . She was sharply critical of most philosophers and philosophical traditions known to her , except for Aristotle , Thomas Aquinas , and classical liberals .   Literary critics received Rand 's fiction with mixed reviews , and academia generally ignored or rejected her philosophy , though academic interest has increased in recent decades . The Objectivist movement attempts to spread her ideas , both to the public and in academic settings . She has been a significant influence among libertarians and American conservatives ."}, {"instruct": "Given a claim, retrieve documents that support or refute the claim.", "query": "The Bachelorette is not a reality television dating game show.", "response": "The Bachelorette The Bachelorette is an American reality television dating game show that debuted on ABC on January 8 , 2003 . The show is a spin-off of The Bachelor aired on the same network . The first season featured Trista Rehn , the runner-up date from the first season of The Bachelor , offering the opportunity for Rehn to choose a husband among 25 bachelors . The 2004 season of The Bachelorette again took a runner-up from the previous season of The Bachelor . After last airing on February 28 , 2005 , the series returned to ABC during the spring of 2008 , following an absence of three years ."}], "MSMARCO": [{"instruct": "Given a web search query, retrieve relevant passages that answer the query.", "query": "what is a pms color", "response": "PMS is a solid-color matching system, used primarily for specifying second or third colors in printing, meaning colors in addition to black, (although, obviously, one can certainly print a one-color piece using a PMS color and no black all)."}, {"instruct": "Given a web search query, retrieve relevant passages that answer the query.", "query": "when was snowboarding invented", "response": "Snowboarding Modern snowboarding began in 1965 when Sherman Poppen, an engineer in Muskegon, Michigan, invented a toy for his daughters by fastening two skis together and attaching a rope to one end so he would have some control as they stood on the board and glided downhill."}, {"instruct": "Given a web search query, retrieve relevant passages that answer the query.", "query": "difference between pollination fertilization", "response": "What is the difference between pollination & fertilization in flowering plants? \u2022 Pollination is a process flowering plants only undergo. It is the transfer of pollen to the plant\u2019s stigma. The process can be done by the plant itself or through outside agents. \u2022 Fertilization is basically the joining of sperm and egg."}], "RedditClusteringP2P": [{"instruct": "Identify the topic or theme of Reddit posts based on the titles and posts.", "query": "I've been thinking a lot about friendships lately. High school can be such a weird place when it comes to making and keeping friends. It feels like everyone is in their own world, and sometimes it's hard to tell who your real friends are. How do you guys find and maintain genuine friendships in high school? Any tips on navigating the social scene and avoiding fake friends?", "response": "teenagers"}, {"instruct": "Identify the topic or theme of Reddit posts based on the titles and posts.", "query": "I (21M) could really use some advice on a confusing situation with a girl (21F) I have feelings for. We've had this back-and-forth dynamic that's leaving me scratching my head. Here's the gist: She initially rejected me when I expressed my feelings, which was fine\u2014I respected that. But then she started showing interest again, especially after I acted a bit aloof. We even kissed at one point, which felt great. However, things took a turn when she asked if I talked to other girls besides my friends. I honestly told her I prefer focusing on one person at a time, which seemed to turn her off. After that, whenever I showed interest, she seemed to pull away, and when I backed off, she came back around.Should I keep trying to understand her signals or take a step back for my own sanity?", "response": "relationship_advice"}, {"instruct": "Identify the topic or theme of Reddit posts based on the titles and posts.", "query": "I know this might ruffle some feathers, but hear me out: physical books are overrated. Don't get me wrong, I appreciate the nostalgia and the tangible feel of holding a book, but when it comes to practicality, e-books and audiobooks just offer so much more. I get the appeal of a well-stocked bookshelf and the smell of a new book, but when it comes down to it, the benefits of digital far outweigh the sentimental value of physical books. Anyone else feel the same way, or am I just missing the magic here?", "response": "unpopularopinion"}, {"instruct": "Identify the topic or theme of Reddit posts based on the titles and posts.", "query": "I honestly don\u2019t know what to do at this point. I watch porn almost twice a day at this point and it feels like I\u2019m falling deeper into this trap. At one point I managed to get it down to one watch every few days and I thought I was making great progress, but then I don\u2019t know what happened. I feel incredibly guilty and worthless and it\u2019s almost like my mind blocks out any thought of God. I genuinely don\u2019t know what to do. It makes me feel like a complete hypocrite as well. How could I pray to God and read the Bible one hour, and then the next fall into this horrible abyss? On top of all that I\u2019ve been in complete denial about how bad my addiction was, I had the completely delusional \u201ceveryone falls into sin sometimes\u201d mindset. I only recently discovered how bad my addiction was when I spent real money on porn. Any advice or strategies would be helpful. Please pray for me.", "response": "NoFap"}], "ArguAna": [{"instruct": "Given a claim, find documents that refute the claim.", "query": "People will die if we don\u2019t do animal testing Every year, 23 new drugs are introduced in the UK alone.[13] Almost all will be tested on animals. A new drug will be used for a long time. Think of all the people saved by the use of penicillin. If drugs cost more to test, that means drug companies will develop less. This means more people suffering and dying", "response": "animals science science general ban animal testing junior Many of these drugs are \u201cme too\u201d drugs \u2013 ones with a slight change that doesn\u2019t make much difference to an existing drug. [14] So often the benefits from animal testing are marginal, and even if there was a slight increase in human suffering, it would be worth it based on the animal suffering saved."}, {"instruct": "Given a claim, find documents that refute the claim.", "query": "Survival of the fittest It is natural for human beings to farm, kill, and eat other species. In the wild there is a brutal struggle for existence as is shown by Darwin\u2019s On the Origin of the Species. The fact that we humans have succeeded in that struggle by exploiting our natural environment means that we have a natural right over lower species. The concept of survival of the fittest may seem outdated but it is still the defining order of nature. In fact farming animals is much less brutal than the pain and hardship that animals inflict on each other naturally in the wild.", "response": "The claim of human entitlement over other species based on 'survival of the fittest' is flawed. While Darwin's theory highlights competition, it doesn't justify exploitation. Our capacity for empathy and moral reasoning surpasses mere survival instincts. Farming still inflicts suffering, contradicting the notion of human superiority. Ethical considerations should guide our treatment of animals, not outdated notions of natural selection."}, {"instruct": "Given a claim, find documents that refute the claim.", "query": "Underground Nuclear Storage is Expensive. Underground nuclear storage is expensive. This is because the deep geological repositories needed to deal with such waste are difficult to construct. This is because said repositories need to be 300m underground and also need failsafe systems so that they can be sealed off should there be a leak. For smaller countries, implementing this idea is almost completely impossible. Further, the maintenance of the facilities also requires a lot of long-term investment as the structural integrity of the facilities must consistently be monitored and maintained so that if there is a leak, the relevant authorities can be informed quickly and efficiently. This is seen with the Yucca mountain waste repository site which has cost billions of dollars since the 1990s and was eventually halted due to public fears about nuclear safety.", "response": "While initial construction and maintenance entail significant costs, advancements in technology offer more cost-effective solutions. Modular storage designs and improved monitoring systems mitigate expenses. Collaborative international efforts can also distribute costs. Additionally, public concerns can be addressed through transparent safety protocols and community engagement, ensuring responsible nuclear waste management without exorbitant expenditure. Underground nuclear storage isn't inherently prohibitive."}], "MindSmallReranking": [{"instruct": "Retrieve relevant news articles based on user browsing history.", "query": "'Wheel Of Fortune' Guest Delivers Hilarious, Off The Rails Introduction", "response": "Charles Rogers, former Michigan State football, Detroit Lions star, dead at 38"}, {"instruct": "Retrieve relevant news articles based on user browsing history.", "query": "Eliud Kipchoge runs 1:59 marathon, first to break 2 hours", "response": "AP-NORC poll: Many youths say high school diploma is enough"}], "Touche2020": [{"instruct": "Given a question, retrieve detailed and persuasive arguments that answer the question.", "query": "Should governments invest more in space exploration?", "response": "Governments should indeed increase their investments in space exploration for several compelling reasons. Firstly, space exploration drives technological advancement. Many everyday technologies, such as GPS, satellite communications, and even medical imaging techniques, have roots in space research. By investing in space exploration, governments foster innovation that benefits not only space missions but also enhances various aspects of daily life on Earth.Secondly, space exploration expands our understanding of the universe and our place within it. By studying other planets, moons, and celestial bodies, scientists gain insights into planetary formation, potential habitability beyond Earth, and fundamental astrophysical processes. These discoveries contribute to humanity's collective knowledge and inspire future generations to pursue careers in science and technology.Moreover, space exploration promotes international collaboration and diplomacy. Projects like the International Space Station (ISS) demonstrate how countries can work together towards common goals despite geopolitical tensions. Such collaborations foster goodwill and promote peaceful relations, showcasing the potential for cooperation on global challenges beyond Earth's atmosphere.Economically, investments in space exploration also yield significant returns. The space industry generates jobs, spurs innovation in high-tech sectors, and stimulates economic growth through both public and private sector participation. The commercialization of space activities, such as satellite launches and space tourism, further boosts economic opportunities and encourages private investment in research and development.Lastly, space exploration fuels human curiosity and inspires new generations to explore and discover. The quest to explore space represents a pinnacle of human achievement and ingenuity, serving as a symbol of progress and pushing the boundaries of what is possible. By investing in space exploration, governments not only invest in the future of scientific discovery but also in the human spirit of exploration and innovation.In conclusion, increased government investment in space exploration is not just a prudent decision for scientific advancement and economic growth but also a testament to humanity's enduring quest for knowledge and exploration."}, {"instruct": "Given a question, retrieve detailed and persuasive arguments that answer the question.", "query": "Should schools adopt a year-round schooling system?", "response": "Year-round schooling presents a compelling case for adoption due to its numerous educational benefits and practical advantages. Firstly, it helps to mitigate the 'summer slide' phenomenon, where students typically experience learning loss during long breaks. By spreading vacations more evenly throughout the year, students retain knowledge better and are less likely to fall behind academically, thereby improving overall educational outcomes. Secondly, year-round schooling offers flexibility in scheduling. It allows for shorter, more frequent breaks which can be strategically placed to align with community needs, such as local festivals or family vacations. This flexibility accommodates diverse student and family schedules, promoting a healthier work-life balance for both students and educators. Moreover, a year-round calendar can alleviate overcrowding issues in schools. By staggering student attendance, schools can optimize facility usage and reduce the need for costly expansions. This approach maximizes resources and enhances the learning environment by maintaining manageable class sizes throughout the year. Additionally, year-round schooling supports continuous learning and skill development. Rather than a prolonged period of inactivity, students engage in ongoing educational activities that reinforce learning and allow for deeper exploration of subjects. This continuous learning model fosters a habit of lifelong learning, preparing students for success in a rapidly evolving global economy. From an economic standpoint, year-round schooling can benefit working families. It reduces the burden of finding childcare during extended breaks and aligns more closely with modern work schedules, facilitating parents' ability to maintain consistent employment without disruptions caused by long summer vacations. Critically, research suggests that year-round schooling can narrow achievement gaps among students from different socioeconomic backgrounds. By providing consistent access to educational resources and support throughout the year, schools can help all students thrive academically, regardless of their starting point. In conclusion, adopting a year-round schooling system offers numerous advantages that enhance educational outcomes, support families, and optimize resource utilization. By reimagining the traditional school calendar, educators and policymakers can create a more equitable, efficient, and effective learning environment for students in today's educational landscape."}, {"instruct": "Given a question, retrieve detailed and persuasive arguments that answer the question.", "query": "Artificial intelligence (AI) holds immense promise in revolutionizing healthcare systems", "response": "yet its integration poses both challenges and opportunities that warrant careful consideration. Challenges: Data Privacy and Security: Healthcare data is sensitive and subject to stringent privacy regulations (e.g., HIPAA), complicating AI deployment that requires vast datasets for training robust models. Interoperability: Healthcare systems often use disparate data formats and standards, hindering seamless integration of AI solutions across different platforms and institutions. Ethical Concerns: AI algorithms must navigate ethical dilemmas, such as bias in algorithms leading to unequal treatment or decision-making that conflicts with medical ethics. Regulatory Hurdles: Health authorities worldwide struggle to keep pace with rapid AI advancements, creating regulatory uncertainty and delays in approval processes. Opportunities: Enhanced Diagnostics and Personalized Medicine: AI enables more accurate diagnosis through pattern recognition in medical images and genetic data, paving the way for personalized treatment plans. Operational Efficiency: Automation of routine tasks like paperwork and scheduling allows healthcare providers to focus more on patient care, reducing administrative burdens. Predictive Analytics: AI can predict disease outbreaks, patient deterioration, and treatment responses based on vast datasets, facilitating proactive healthcare management. Cost Savings: By optimizing resource allocation and reducing medical errors, AI promises significant cost savings for healthcare systems, making quality care more accessible. In conclusion, while adopting AI in healthcare presents formidable challenges related to privacy, interoperability, ethics, and regulation, the potential benefits in diagnostics, efficiency, predictive analytics, and cost savings offer compelling reasons to pursue its integration responsibly and ethically. Balancing these factors is crucial to harnessing AI's transformative potential in improving patient outcomes and healthcare delivery globally."}], "STS14": [{"instruct": "Retrieve semantically similar text.", "query": "president obama vows to work with congress on immigration reform .", "response": "obama pledges to collaborate with congress on immigration overhaul ."}, {"instruct": "Retrieve semantically similar text.", "query": "britain votes to leave european union .", "response": "uk votes to leave eu ."}, {"instruct": "Retrieve semantically similar text.", "query": "russian president putin signs law banning adoption of russian children by u.s. citizens .", "response": "putin bans u.s. adoptions of russian children ."}], "STS16": [{"instruct": "Retrieve semantically similar text.", "query": "what are the symptoms of a heart attack ?", "response": "what are the signs of a heart attack ?"}, {"instruct": "Retrieve semantically similar text.", "query": "how do i change a flat tire on my car ?", "response": "what steps should i take to replace a flat tire ?"}, {"instruct": "Retrieve semantically similar text.", "query": "how do i cook a medium rare steak ?", "response": "what's the best way to prepare a steak to medium rare ?"}], "STS22": [{"instruct": "Retrieve semantically similar text.", "query": "The court said the ruling has stayed till January 18.\\n\\nThe Prevention of Money Laundering Act (PMLA) court in Mumbai which deals with offences related to money laundering has allowed banks which had lent money to fugitive liquor baron Vijay Mallya to utilise the seized assets, Enforcement Directorate (ED) sources said on Wednesday.\\n\\nThe court said the ruling has been stayed till January 18, until which the parties affected by the order could appeal to the Bombay High Court. According to sources, the seized assets mainly comprise of financial securities, such as shares.\\n\\nIn February last year, the ED had told the special PMLA court that it had no objection to the liquidation of confiscated assets by a consortium of banks, led by the State Bank of India (SBI).\\n\\nThe lenders want to liquidate the assets to claim Rs 6,203.35 crore along with interest of 11.5 per cent per annum payable since 2013.\\n\\nA special PMLA court had on January 5 last year declared Mallya a fugitive economic offender and directed that his properties be confiscated.\\n\\nHe had fled the country in March 2016 and has been living in the United Kingdom since then.", "response": "A special court here has permitted a consortium of 15 banks led by the State Bank of India (SBI) to utilise movable assets of former liquor baron Vijay Mallya towards repayment of his debt.\\n\\nThe assets, comprising financial securities like shares of the United Breweries Holdings Ltd (UBHL), were attached by the special Prevention of Money Laundering Act (PMLA) court in 2016 when it declared Mallya a proclaimed offender.\\n\\nUnder provisions of the Criminal Procedure Code, a court orders attachment of a person\u2019s movable assets after he or she has been declared a proclaimed offender.\\n\\nA person against whom a warrant has been issued can be declared a proclaimed offender if the court believes that he or she has absconded or is evading execution of warrant.\\n\\nThe consortium of banks earlier filed an application before the special court, seeking release of Mallya\u2019s movable assets to utilise them for repayment of loans given to him.\\n\\nSenior counsel Rajeev Patil, appearing for the consortium, said the special court on Tuesday lifted the attachment on the movable assets.\\n\\nThe court has, however, stayed its order till January 18 to enable the parties concerned to approach the Bombay High Court in appeal.\\n\\nSenior counsel Amit Desai, appearing for Mallya, said the court has ordered lifting of attachment of assets, which are UBHL shares.\\n\\n\u201cHowever, we do not know if the court has ordered for the assets to be restored to SBI or the consortium. We are waiting for the order copy for further clarity,\u201d Mr. Desai said.\\n\\nMallya, who is accused of money laundering by the Enforcement Directorate, fled India in March 2016 and is now based in London.\\n\\nThe lenders in their application said they want to liquidate assets to claim over \u20b96,000 crore."}, {"instruct": "Retrieve semantically similar text.", "query": "A fire in a south-end Halifax apartment building on Wednesday afternoon is being labelled as arson.\\n\\nIn a news release, Halifax Regional Police said fire crews and police were called to an apartment building on the 5500 block of Victoria Road at 4:23 p.m. after multiple callers said they saw smoke in the building. Fire crews quickly put out the fire.\\n\\nTenants were temporarily evacuated from the building, but have since returned.\\n\\nNo injuries have been reported.\\n\\nPolice are asking anyone with information about the fire to call police at 902-490-5016 or contact Crime Stoppers online or by phone at 1-800-222-TIPS (8477).\\n\\nMORE TOP STORIES", "response": "Halifax police have launched an arson investigating following a structure fire in an apartment building.\\n\\nHalifax Regional Police say several callers reported smoke in the Victoria Road apartment building on Wednesday afternoon.\\n\\nNo one was hurt and tenants were temporarily evacuated as firefighters extinguished the blaze. Police say fire investigators confirmed the fire was intentionally set and handed the probe over to officers.\\n\\nThe arson investigation is ongoing. Police are asking anyone with information to come forward.\\n\\nGet more of today's top stories in your inbox Begin your day with a briefing of Halifax's biggest stories in our Morning Headlines email newsletter. Sign Up Now\\n\\nRead more about:"}], "SciDocsRR": [{"instruct": "Given a title of a scientific paper, retrieve the titles of other relevant papers.", "query": "Intelligent Word-Based Spam Filter Detection Using Multi-Neural Networks", "response": "Efficient Harmful Email identification Using Neural Network"}, {"instruct": "Given a title of a scientific paper, retrieve the titles of other relevant papers.", "query": "Importance of sediments in understanding nutrient cyclings in lakes", "response": "Raphidiopsis mediterranea Skuja represents non-heterocytous life-cycle stages of Cylindrospermopsis raciborskii (Woloszynska) Seenayya et Subba Raju in Lake Kastoria (Greece), its type locality: Evidence by morphological and phylogenetic analysis"}, {"instruct": "Given a title of a scientific paper, retrieve the titles of other relevant papers.", "query": "Adult playfulness and its relationship to humour , subjective happiness and depression : A comparative study of Hong Kong and Mainland China", "response": "Rapid assessment of well-being: The Short Depression-Happiness Scale (SDHS)."}, {"instruct": "Given a title of a scientific paper, retrieve the titles of other relevant papers.", "query": "In depth performance evaluation of LTE-M for M2M communications", "response": "Simulating LTE Cellular Systems: An Open-Source Framework"}, {"instruct": "Given a title of a scientific paper, retrieve the titles of other relevant papers.", "query": "Marketing segmentation using support vector clustering", "response": "Support vector clustering"}], "CQADupstack": [{"instruct": "Given a question, retrieve detailed question descriptions from Stackexchange that are duplicates to the given question.", "query": "angularjs infinite scroll in a container", "response": "AngularJS ng-infinite-scroll not working on a specific container/div"}, {"instruct": "Given a question, retrieve detailed question descriptions from Stackexchange that are duplicates to the given question.", "query": "Java: Efficiently converting an array of longs to an array of bytes", "response": "Most Compact way to Serialize an Array of Longs in Java"}, {"instruct": "Given a question, retrieve detailed question descriptions from Stackexchange that are duplicates to the given question.", "query": "PyVISA missing methods", "response": "NI VISA + pyVisa on Mac OS X (Snow Leopard)"}], "STS12": [{"instruct": "Retrieve semantically similar text.", "query": "A man is dancing on the ceiling.", "response": "A man is dancing on the ceiling of a room."}, {"instruct": "Retrieve semantically similar text.", "query": "That is a shameful state of affairs when we consider that the EU itself is a champion of modernised business practice.", "response": "It is a shame when it is thought that the European Union is posed as a champion modernization of the economic life!"}, {"instruct": "Retrieve semantically similar text.", "query": "Spain has done a magnificent job in turning round the difficult neighbourly relations which Europe and North Africa and Spain and Morocco have suffered during the course of history.", "response": "Spain has developed a remarkably positive the difficult neighbourhood which has always existed between Europe and North Africa and between Spain and Morocco."}], "SciFact": [{"instruct": "Given a scientific claim, retrieve documents that support or refute the claim.", "query": "1 in 5 million in UK have abnormal PrP positivity.", "response": "Research conducted by the UK's National Prion Clinic indicates that approximately 1 in 5 million individuals in the UK exhibit abnormal PrP positivity, highlighting the rarity of this condition. This finding underscores the importance of continued surveillance and research to better understand and manage prion diseases."}, {"instruct": "Given a scientific claim, retrieve documents that support or refute the claim.", "query": "50% of patients exposed to radiation have activated markers of mesenchymal stem cells.", "response": "Contrary to the claim, emerging research indicates that the incidence of activated markers of mesenchymal stem cells in patients exposed to radiation therapy is considerably lower, with estimates ranging from 10% to 20%. Further investigation is needed to clarify the true extent of mesenchymal stem cell activation in response to radiation exposure."}, {"instruct": "Given a scientific claim, retrieve documents that support or refute the claim.", "query": "A low percentage of hematopoietic progenitor cells are susceptible to HIV-1 infection ex vivo.", "response": "Experimental studies have demonstrated that only a small fraction of hematopoietic progenitor cells are susceptible to HIV-1 infection ex vivo. This limited susceptibility suggests potential mechanisms of cellular resistance to viral entry or replication, which could inform the development of novel therapeutic strategies targeting HIV reservoirs within the hematopoietic system."}], "BIOSSES": [{"instruct": "Retrieve semantically similar text.", "query": "Recent studies have highlighted the crucial role of p53 in regulating cell cycle progression.", "response": "Recent research underscores p53's pivotal function in controlling cellular division."}, {"instruct": "Retrieve semantically similar text.", "query": "Neuroscience has revealed intricate pathways linking dopamine to reward and motivation.", "response": "Recent neuroscientific findings have illuminated complex dopamine pathways associated with motivation and reward."}, {"instruct": "Retrieve semantically similar text.", "query": "Stem cell research holds promise for treating a variety of degenerative diseases.", "response": "The potential of stem cell research in combating degenerative illnesses is widely recognized."}], "NQ": [{"instruct": "Given a question, retrieve Wikipedia passages that answer the question.", "query": "what is the capital of australia", "response": "Canberra   Canberra is the capital city of Australia. Founded following the federation of the colonies of Australia as the seat of government for the new nation, it is Australia's largest inland city and the eighth-largest city overall. Located at the northern end of the Australian Capital Territory, Canberra is an entirely planned city."}, {"instruct": "Given a question, retrieve Wikipedia passages that answer the question.", "query": "who invented the world wide web", "response": "Tim Berners-Lee    Sir Timothy John Berners-Lee, also known as TimBL, is an English engineer and computer scientist, best known as the inventor of the World Wide Web. He implemented the first successful communication between a Hypertext Transfer Protocol (HTTP) client and server via the Internet in mid-November 1989. Berners-Lee is a professor at the Massachusetts Institute of Technology (MIT) and the University of Oxford."}, {"instruct": "Given a question, retrieve Wikipedia passages that answer the question.", "query": "what is the Higgs boson", "response": "Higgs Boson    The Higgs boson is an elementary particle in the Standard Model of particle physics. It is the quantum excitation of the Higgs field, which is pivotal to explaining how particles acquire mass. The discovery of the Higgs boson was announced in 2012 by physicists working with the Large Hadron Collider at CERN."}], "StackExchangeClustering": [{"instruct": "Identify the topic or theme of StackExchange posts based on the titles.", "query": "Recommendations for a lightweight Markdown editor with real-time collaboration features?", "response": "softwarerecs.stackexchange.com.txt"}, {"instruct": "Identify the topic or theme of StackExchange posts based on the titles.", "query": "How to integrate external APIs with EOSIO blockchain applications?", "response": "eosio.stackexchange.com.txt"}, {"instruct": "Identify the topic or theme of StackExchange posts based on the titles.", "query": "How to balance macros for effective fat loss and muscle retention?", "response": "fitness.stackexchange.com.txt"}, {"instruct": "Identify the topic or theme of StackExchange posts based on the titles.", "query": "Can amans\" be used as a substantival participle in Latin?\"", "response": "latin.stackexchange.com.txt"}], "STS17": [{"instruct": "Retrieve semantically similar text.", "query": "The sun is setting over the mountains.", "response": " \"The sun sets behind the mountains.\""}, {"instruct": "Retrieve semantically similar text.", "query": "A child is playing with a red ball.", "response": " \"A kid plays with a red ball.\""}, {"instruct": "Retrieve semantically similar text.", "query": "Two people are sitting on a bench in the park.", "response": " \"Two individuals are seated on a bench in the park.\""}], "MedrxivClusteringS2S": [{"instruct": "Identify the main category of Medrxiv papers based on the titles.", "query": "Evaluating the Efficacy of New Therapeutic Agents in the Management of Hypertension-Induced Kidney Damage", "response": "nephrology"}, {"instruct": "Identify the main category of Medrxiv papers based on the titles.", "query": "Exploring the Relationship Between ICU Staffing Levels and Patient Outcomes in Severe Trauma Cases", "response": "intensive care and critical care medicine"}, {"instruct": "Identify the main category of Medrxiv papers based on the titles.", "query": "The Impact of Environmental Allergens on Pediatric Asthma and Ear Infections", "response": "otolaryngology"}, {"instruct": "Identify the main category of Medrxiv papers based on the titles.", "query": "Patient-Reported Outcomes in Rehabilitation: The Importance of Psychosocial Factors in Recovery", "response": "rehabilitation medicine and physical therapy"}, {"instruct": "Identify the main category of Medrxiv papers based on the titles.", "query": "The Role of Micronutrients in Supporting Immune Function During Viral Infections", "response": "nutrition"}], "Banking77Classification": [{"instruct": "Given a online banking query, find the corresponding intents.", "query": "What is my money worth in other countries?", "response": "exchange_rate"}, {"instruct": "Given a online banking query, find the corresponding intents.", "query": "What can I do if my card still hasn't arrived after 2 weeks?", "response": "card_arrival"}, {"instruct": "Given a online banking query, find the corresponding intents.", "query": "Would I be able to open an account for my daughter?", "response": "age_limit"}, {"instruct": "Given a online banking query, find the corresponding intents.", "query": "My address details have changed and I want to update them", "response": "edit_personal_details"}, {"instruct": "Given a online banking query, find the corresponding intents.", "query": "If my cash withdrawal is still not showing, is something wrong?", "response": "pending_cash_withdrawal"}, {"instruct": "Given a online banking query, find the corresponding intents.", "query": "How long do transfers typically take? Is there a way of speeding the process up? My friend needs the money I sent her desperately.", "response": "transfer_not_received_by_recipient"}], "BiorxivClusteringP2P": [{"instruct": "Identify the main category of Biorxiv papers based on the titles and abstracts.", "query": "Neural Mechanisms of Social Cognition: A Study on Mirror Neurons and EmpathySocial cognition is the mental process involved in understanding, recognizing, and predicting others' behavior and emotions. In this study, we investigate the role of mirror neurons in the process of empathy by using a combination of functional magnetic resonance imaging (fMRI) and electroencephalography (EEG). Our experiments involve observing the neural activation of participants as they watch videos of individuals experiencing various emotional states. We demonstrate that specific mirror neuron systems in the premotor cortex and the inferior parietal lobule are significantly activated when participants empathize with others. This suggests that mirror neurons might be fundamental to the neural basis of empathy, facilitating an understanding of others' emotions by simulating them internally. These findings provide insights into the neural mechanisms underlying social cognition and offer potential pathways for therapeutic interventions in conditions like autism and psychopathy, where social cognition is often impaired.", "response": "neuroscience"}, {"instruct": "Identify the main category of Biorxiv papers based on the titles and abstracts.", "query": "Methicillin-resistant Staphylococcus aureus (MRSA) is a major health threat due to its resistance to multiple antibiotics. This study analyzed 50 clinical MRSA isolates using whole-genome sequencing and phenotypic assays. We identified mecA and mecC genes encoding beta-lactam-resistant penicillin-binding proteins. Mutations in rpoB conferred rifampicin resistance, while changes in gyrA and grlA were linked to fluoroquinolone resistance. Biofilm formation was also found to enhance antibiotic resistance. These findings highlight genetic mechanisms and suggest potential targets for developing new treatments against MRSA infections.", "response": "microbiology"}, {"instruct": "Identify the main category of Biorxiv papers based on the titles and abstracts.", "query": "Deep Learning Approaches for Predicting Protein-Protein Interactions from Sequence Data\\nProtein-protein interactions (PPIs) are fundamental to numerous biological processes, and understanding these interactions is critical for uncovering cellular mechanisms and developing therapeutic strategies. Traditional experimental methods for identifying PPIs are labor-intensive and time-consuming, highlighting the need for computational approaches. In this study, we present DeepPPI, a deep learning-based framework designed to predict PPIs directly from protein sequence data. DeepPPI employs a combination of convolutional neural networks (CNNs) and recurrent neural networks (RNNs) to capture both local and global sequence features. We trained DeepPPI on a comprehensive dataset of known PPIs and benchmarked its performance against existing methods, demonstrating superior accuracy and generalizability. Additionally, we applied DeepPPI to predict novel interactions in the human proteome and validated a subset of these predictions experimentally. Our results indicate that DeepPPI not only achieves high prediction accuracy but also provides insights into the structural and functional basis of protein interactions, making it a valuable tool for the bioinformatics community.", "response": "bioinformatics"}, {"instruct": "Identify the main category of Biorxiv papers based on the titles and abstracts.", "query": "Cell migration, pivotal in wound healing, immune responses, and cancer metastasis, relies on the actin cytoskeleton for membrane protrusions and movement. We explore phosphoinositides' role\u2014key membrane phospholipids\u2014in this process. Using live-cell imaging and FRET-based biosensors, we track phosphoinositide dynamics during migration. Our findings reveal distinct distributions: phosphatidylinositol 4,5-bisphosphate (PIP2) enriches actin polymerization sites, while phosphatidylinositol 3,4,5-trisphosphate (PIP3) predominates in membrane ruffles and lamellipodia. Modulating these phosphoinositides via kinases and phosphatases alters actin filament organization and migration speed, suggesting therapeutic targets for diseases involving abnormal cell migration.", "response": "cell biology"}, {"instruct": "Identify the main category of Biorxiv papers based on the titles and abstracts.", "query": "Cell membranes, comprising lipids and proteins, regulate molecular transport and signaling. Lipid rafts, enriched in cholesterol and sphingolipids, organize membrane proteins and influence cellular functions. Using AFM and fluorescence microscopy, we studied how lipid rafts and cholesterol impact membrane mechanics. Manipulating cholesterol levels and disrupting rafts with M\u03b2CD revealed changes in stiffness and lipid density. Rafts enhance rigidity and resistance to deformation, while cholesterol depletion increases fluidity and reduces stability. Lipid-protein interactions in rafts maintain membrane integrity. These insights into membrane organization offer strategies for manipulating cellular responses through lipid raft modulation.", "response": "biophysics"}], "AskUbuntuDupQuestions": [{"instruct": "Retrieve duplicate questions from AskUbuntu forum.", "query": "angularjs infinite scroll in a container", "response": "AngularJS ng-infinite-scroll not working on a specific container/div"}, {"instruct": "Retrieve duplicate questions from AskUbuntu forum.", "query": "Java: Efficiently converting an array of longs to an array of bytes", "response": "Most Compact way to Serialize an Array of Longs in Java"}, {"instruct": "Retrieve duplicate questions from AskUbuntu forum.", "query": "PyVISA missing methods", "response": "NI VISA + pyVisa on Mac OS X (Snow Leopard)"}], "MassiveScenarioClassification": [{"instruct": "Given a user utterance as query, find the user scenarios.", "query": "can you confirm that my meeting for tomorrow has been canceled", "response": "calendar"}, {"instruct": "Given a user utterance as query, find the user scenarios.", "query": "please open my music application and play games by disturbed", "response": "play"}, {"instruct": "Given a user utterance as query, find the user scenarios.", "query": "what's the word orange mean", "response": "qa"}, {"instruct": "Given a user utterance as query, find the user scenarios.", "query": "find me all mails from magda with holidays word in the title", "response": "email"}, {"instruct": "Given a user utterance as query, find the user scenarios.", "query": "get a cup of coffee ready now", "response": "iot"}, {"instruct": "Given a user utterance as query, find the user scenarios.", "query": "good morning olly", "response": "general"}], "SICK-R": [{"instruct": "Retrieve semantically similar text.", "query": "The cat is lounging on the sunny windowsill.", "response": "The feline is resting on the sunny windowsill."}, {"instruct": "Retrieve semantically similar text.", "query": "A woman is reading a book while sitting on a bench.", "response": "A lady is reading a book while seated on a bench."}, {"instruct": "Retrieve semantically similar text.", "query": "The child is drawing with crayons on a piece of paper.", "response": "The kid is using crayons to draw on a sheet of paper."}], "AmazonPolarityClassification": [{"instruct": "Classify Amazon reviews into positive or negative sentiment.", "query": "Hunting the Hard Way Thia was a gift for my Husband, who loved the book. It arrived on the date we were told it would.", "response": "positive"}, {"instruct": "Classify Amazon reviews into positive or negative sentiment.", "query": "Poor DVD Has too many interviews with people at the Live THomas day in Penn. My kids were annoyed and hated this DVD.", "response": "negative"}, {"instruct": "Classify Amazon reviews into positive or negative sentiment.", "query": "Ludicrous and silly I remember getting this book so faintly that that says alot about my opinion of it. Basically, while I will entertain lots of odd ideas and theories, this book was basically silly.", "response": "negative"}, {"instruct": "Classify Amazon reviews into positive or negative sentiment.", "query": "Artistry I think that the Deodato concerts are very rich, as he used real strings and band musicians, as well as you can appreciate the John Tropea excelent renditions on guitar.", "response": "positive"}], "RedditClustering": [{"instruct": "Identify the topic or theme of Reddit posts based on the titles.", "query": "Financial Meltdown: Strategies for Surviving Economic Collapse", "response": "collapse.txt"}, {"instruct": "Identify the topic or theme of Reddit posts based on the titles.", "query": "Exclusive Comic Book Sale: Don't Miss Out on January 13th!", "response": "comicbooks.txt"}, {"instruct": "Identify the topic or theme of Reddit posts based on the titles.", "query": "Tchaikovsky's Untold Story: The Mystery Behind Symphony No. 7", "response": "classicalmusic.txt"}, {"instruct": "Identify the topic or theme of Reddit posts based on the titles.", "query": "Coffee Addiction: When It's More Than Just a Drink", "response": "Coffee.txt"}], "NFCorpus": [{"instruct": "Given a question, retrieve relevant documents that best answer the question.", "query": "lung disease", "response": "Hibiscus anthocyanins rich extract-induced apoptotic cell death in human promyelocytic leukemia cells.  Hibiscus sabdariffa Linne (Malvaceae), an attractive plant believed to be native to Africa, is cultivated in the Sudan and Eastern Taiwan. Anthocyanins exist widely in many vegetables and fruits. Some reports demonstrated that anthocyanins extracted from H. sabdariffa L., Hibiscus anthocyanins (HAs) (which are a group of natural pigments existing in the dried calyx of H. sabdariffa L.) exhibited antioxidant activity and liver protection. Therefore, in this study, we explored the effect of HAs on human cancer cells. The result showed that HAs could cause cancer cell apoptosis, especially in HL-60 cells. Using flow cytometry, we found that HAs treatment (0-4 mg/ml) markedly induced apoptosis in HL-60 cells in a dose- and time-dependent manner. The result also revealed increased phosphorylation in p38 and c-Jun, cytochrome c release, and expression of tBid, Fas, and FasL in the HAs-treated HL-60 cells. We further used SB203580 (p38 inhibitor), PD98059 (MEK inhibitor), SP600125 (JNK inhibitor), and wortmannin (phosphatidylinositol 3-kinase; PI-3K inhibitor) to evaluate their effect on the HAs-induced HL-60 death. The data showed that only SB203580 had strong potential in inhibiting HL-60 cell apoptosis and related protein expression and phosphorylation. Therefore, we suggested that HAs mediated HL-60 apoptosis via the p38-FasL and Bid pathway. According to these results, HAs could be developed as chemopreventive agents. However, further investigations into the specificity and mechanism(s) of HAs are needed."}, {"instruct": "Given a question, retrieve relevant documents that best answer the question.", "query": "arthritis", "response": "A clustering of immune-mediated polyradiculoneuropathy among swine abattoir workers exposed to aerosolized porcine brains, Indiana, United States.  In November 2007 a novel neuropathy, immune-mediated polyradiculoneuropathy (IP), was identified among workers at a Minnesota swine abattoir where a unique compressed air technique was used to remove porcine brains. An epidemiologic investigation at another abattoir in Indiana that also uses this process was launched to evaluate workers self-reporting neurologic illness compatible with IP. A nested case-control study was performed to identify cases and risk factors. Six confirmed, one probable, and three possible IP cases were detected. IP cases were 28-52 years old, of Latino origin, and 62.5% female. Onset dates ranged from April 2005-December 2007; 60% were hospitalized. IP cases at this plant were similar in clinical presentation and exposure risks to those detected in Minnesota. Swine abattoirs using similar brain extraction methods should discontinue this process."}, {"instruct": "Given a question, retrieve relevant documents that best answer the question.", "query": "vitamin C", "response": "Which population level environmental factors are associated with asthma, rhinoconjunctivitis and eczema? Review of the ecological analyses of ISAAC Phase One  The International Study of Asthma and Allergies in Childhood (ISAAC) Phase One showed large worldwide variations in the prevalence of symptoms of asthma, rhinoconjunctivitis and eczema, up to 10 to 20 fold between countries. Ecological analyses were undertaken with ISAAC Phase One data to explore factors that may have contributed to these variations, and are summarised and reviewed here. In ISAAC Phase One the prevalence of symptoms in the past 12 months of asthma, rhinoconjunctivitis and eczema were estimated from studies in 463,801 children aged 13 - 14 years in 155 centres in 56 countries, and in 257,800 children aged 6-7 years in 91 centres in 38 countries. Ecological analyses were undertaken between symptom prevalence and the following: Gross National Product per capita (GNP), food intake, immunisation rates, tuberculosis notifications, climatic factors, tobacco consumption, pollen, antibiotic sales, paracetamol sales, and outdoor air pollution. Symptom prevalence of all three conditions was positively associated with GNP, trans fatty acids, paracetamol, and women smoking, and inversely associated with food of plant origin, pollen, immunisations, tuberculosis notifications, air pollution, and men smoking. The magnitude of these associations was small, but consistent in direction between conditions. There were mixed associations of climate and antibiotic sales with symptom prevalence. The potential causality of these associations warrant further investigation. Factors which prevent the development of these conditions, or where there is an absence of a positive correlation at a population level may be as important from the policy viewpoint as a focus on the positive risk factors. Interventions based on small associations may have the potential for a large public health benefit."}], "ArxivClusteringS2S": [{"instruct": "Identify the main and secondary category of Arxiv papers based on the titles.", "query": "A Survey on Graph Neural Networks: Algorithms and Applications", "response": "cs"}, {"instruct": "Identify the main and secondary category of Arxiv papers based on the titles.", "query": "Hamiltonian Dynamics and KAM Theory for Infinite-Dimensional Systems", "response": "math"}, {"instruct": "Identify the main and secondary category of Arxiv papers based on the titles.", "query": "Dark Matter Distribution in Dwarf Spheroidal Galaxies: Constraints from Stellar Kinematics", "response": "astro-ph"}, {"instruct": "Identify the main and secondary category of Arxiv papers based on the titles.", "query": "Decoherence and Quantum Error Correction in Topological Quantum Computers", "response": "quant-ph"}, {"instruct": "Identify the main and secondary category of Arxiv papers based on the titles.", "query": "Spin-Orbit Coupling Effects in Low-Dimensional Quantum Materials", "response": "cond-mat"}], "STSBenchmark": [{"instruct": "Retrieve semantically similar text.", "query": "Agribusiness: Mad cow disease found in California", "response": "USDA Confirms Case of Mad Cow Disease in California"}, {"instruct": "Retrieve semantically similar text.", "query": "santos stated colombian police found the evidence in 2 computers discovered with slain rebel leader raul reyes. ", "response": "francisco santos stated that colombian police found the evidence on two computers discovered with raul reyes."}, {"instruct": "Retrieve semantically similar text.", "query": "US Attorney General Holder resigns", "response": "US Attorney general Eric Holder to resign"}], "MedrxivClusteringP2P": [{"instruct": "Identify the main category of Medrxiv papers based on the titles and abstracts.", "query": "Socioeconomic Disparities in COVID-19 Transmission Risk: A Population-Based Study from Norway\\nObjective: Explore socioeconomic disparities in COVID-19 transmission risk across occupational categories in Norway.\\nMethods: Analyzed data from 3,559,694 residents aged 20-70 using the International Standard Classification of Occupations (ISCO-08). Logistic regression models adjusted for various factors examined the association between occupation and SARS-CoV-2 infection risk and hospitalization during different pandemic phases.\\nResults: Occupations with varying socioeconomic statuses showed different COVID-19 infection risks. Healthcare professionals had higher odds during the initial wave, while service workers had increased odds during later waves. Teachers and administrative personnel also had moderate risk increases. Occupation had limited association with hospitalization after adjusting for confounders.\\nConclusion: Socioeconomic factors significantly influence COVID-19 transmission in occupational settings. Targeted public health interventions addressing workplace conditions, testing accessibility, and socioeconomic vulnerability are essential for mitigating future pandemic impacts and developing equitable pandemic preparedness strategies.\\nKeywords: COVID-19, Socioeconomic Disparities, Occupational Risk, Pandemic Preparedness, Public Health, Norway, ISCO-08, SARS-CoV-2", "response": "infectious diseases"}, {"instruct": "Identify the main category of Medrxiv papers based on the titles and abstracts.", "query": "Assessing Socioeconomic Determinants of Infectious Disease Spread: A Cross-National Analysis Using Machine Learning Approaches\\nBackground: Understanding socioeconomic factors influencing infectious disease transmission is crucial for targeted public health interventions.\\nMethods: This study uses machine learning techniques and Bayesian optimization to analyze the impact of socioeconomic variables such as income, education, and healthcare access on disease dynamics. It integrates datasets on disease transmission and socio-demographic characteristics.\\nResults: Significant associations between socioeconomic indicators and infectious disease spread were found, highlighting disparities in vulnerability and transmission rates.\\nConclusion: Advanced analytical techniques provide nuanced insights into the socioeconomic determinants of disease transmission, aiding evidence-based policymaking to reduce health disparities and enhance epidemic preparedness.\\nKeywords: Socioeconomic Determinants, Infectious Disease, Machine Learning, Public Health, Epidemiology, Health Disparities, Bayesian Optimization", "response": "epidemiology"}, {"instruct": "Identify the main category of Medrxiv papers based on the titles and abstracts.", "query": "The COVID-19 pandemic has significantly impacted mental health in Japan, a country with a historically high suicide rate. This study analyzed nationwide data from January 2019 to December 2021 to compare pre-pandemic and pandemic periods. Findings revealed increased anxiety and depression, especially among young adults and women. Suicide rates, which had been declining, saw a notable rise in late 2020, particularly in economically disadvantaged regions and among those facing job loss or financial strain. The pandemic has exacerbated mental health issues, necessitating targeted interventions and support to mitigate long-term public health impacts.", "response": "public and global health"}, {"instruct": "Identify the main category of Medrxiv papers based on the titles and abstracts.", "query": "The application of whole genome sequencing (WGS) in neonatal care can revolutionize early detection and management of rare genetic disorders, often undiagnosed through traditional methods. The NEOseq project, part of the Neonatal Genomics Initiative, enrolled over 12,000 newborns between January 2019 and December 2021 to evaluate WGS feasibility in routine screening. The study demonstrated WGS's technical and clinical utility, identifying disorders undetectable by conventional means. This research aligns with the UK's genomic medicine advancements, suggesting WGS integration into national screening programmes could enhance neonatal healthcare and personalized medicine, setting a precedent for global genomic technologies in public health.", "response": "genetic and genomic medicine"}, {"instruct": "Identify the main category of Medrxiv papers based on the titles and abstracts.", "query": "Longitudinal Analysis of Sleep Disturbances and Cognitive Decline in Older Adults: A 5-Year Prospective Cohort Study Background: Sleep disturbances in older adults are a recognized risk factor for cognitive decline. This study examines their impact on cognitive function over five years.\\nMethods: 3,200 participants aged 60+ from Karnataka, India, were assessed annually using sleep questionnaires and cognitive tests. Exclusions included major neuropsychiatric disorders.\\nResults: 25% reported sleep disturbances at baseline; 30% developed mild cognitive impairment, and 15% progressed to dementia. Insomnia and sleep apnea significantly accelerated cognitive decline. CPAP for sleep apnea showed modest protective effects.\\nConclusion: Addressing sleep disturbances is crucial for mitigating cognitive decline in older adults.", "response": "neurology"}], "SummEval": [{"instruct": "Given a news summary, retrieve other semantically similar summaries.", "query": "Luis Su\u00e1rez is reportedly being eyed by Barcelona for a potential return. After a successful spell at Atl\u00e9tico Madrid, the Uruguayan striker has caught the attention of his former club. Barcelona is looking to strengthen their attack and sees Su\u00e1rez as a viable option. The move could see Su\u00e1rez reuniting with Lionel Messi, rekindling their successful partnership.", "response": "Barcelona is considering bringing back Luis Su\u00e1rez. Su\u00e1rez, who currently plays for Atl\u00e9tico Madrid, has performed well and attracted interest from his former club. This potential move aims to bolster Barcelona's attack, potentially reuniting Su\u00e1rez with Lionel Messi."}, {"instruct": "Given a news summary, retrieve other semantically similar summaries.", "query": "The United States has imposed sanctions on several Chinese officials in response to Beijing's actions in Hong Kong. The sanctions target individuals who are seen as responsible for undermining Hong Kong's autonomy. The move comes amid increasing tensions between the US and China over a range of issues, including trade and human rights.", "response": "The US has sanctioned Chinese officials for their role in undermining Hong Kong's autonomy. This decision is part of the growing tension between the US and China over various issues such as trade and human rights."}]}